### Method

# Clutter Actor set_request_mode

#### Declaration [src]

    void
    clutter_actor_set_request_mode (
      ClutterActor* self,
      ClutterRequestMode mode
    )

#### Description [src]

Sets the geometry request mode of `self`.

The `mode` determines the order for invoking `clutter_actor_get_preferred_width()` and `clutter_actor_get_preferred_height()`.

Sets property | `Clutter.Actor:request-mode`

#### Parameters

`mode`

  Type: `ClutterRequestMode`

  The request mode.